<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('admins', function (Blueprint $table) {
            $table->id();
            $table->string('nom')->nullable();
            $table->string('prenoms')->nullable();
            $table->string('dateNaissance')->nullable();
            $table->string('VilleNaissance')->nullable();
            $table->string('sexe')->nullable();
            $table->string('taille')->nullable();
            $table->string('couleurYeux')->nullable();
            $table->string('groupeSanguin')->nullable();
            $table->string('email')->nullable();
            $table->string('telephone')->nullable();
            $table->string('signePart')->nullable();
            $table->string('grade')->nullable();
            $table->string('matricule')->nullable();
            $table->string('corps')->nullable();
            $table->string('photo')->nullable();
            $table->string('signature')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('admins');
    }
};
